Page MenuHomePhabricator

"wm-bot" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the wm-bot project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Mon, Mar 2, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM
bd808 assigned this task to Petrb.Dec 4 2019, 6:01 PM
bd808 added a subscriber: bd808.

Ping @Petrb

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

Petrb added a comment.Feb 2 2020, 10:50 PM

I successfuly created a new instances for PG and wm-bot, now I need to migrate the data from old ones and then it should be done

I just spent couple of hours trying to get it to run with latest mono / dotnet core and there are some major issues with getting old 3rd dependencies running, so it will need a bit more time

So I successfuly migrated wm-bot core and bouncers, next step is to move MySQL DB, then instance wm-bot2 can probably be nuked.

After that I will also need to move postgre db (which is on separate instance) to new instance and then we can finally close this

both instances were shut down, you can delete them in 14 days from now

bd808 changed Due Date from Dec 31 2019, 11:59 PM to Mon, Mar 2, 11:59 PM.Feb 18 2020, 7:07 PM

Mentioned in SAL (#wikimedia-cloud) [2020-03-08T04:30:53Z] <bd808> Deleted jessie instances wm-bot-pg and wm-bot2 (T236564)

bd808 closed this task as Resolved.Sun, Mar 8, 4:31 AM
Krenair added a subscriber: Krenair.Sun, Mar 8, 5:57 PM

I've just noticed that links to bots.wmflabs.org e.g. https://bots.wmflabs.org/~wm-bot/logs/%23wikimedia-cloud/ are broken - is it possible that's something that got missed in this migration?